import 'dart:convert';
import 'dart:typed_data';

class AchievementInfoModel {
  final String appId;
  final String name;
  final String description;
  final Uint8List backgroundPicture;
  final int score;
  final bool isRare;

  AchievementInfoModel({
    required this.appId,
    required this.name,
    required this.description,
    required this.backgroundPicture,
    required this.score,
    required this.isRare,
  });

  AchievementInfoModel.fromJson(Map<dynamic, dynamic> json)
      : name = json["acievementName"] as String,
        appId = json["applicationId"] as String,
        description = json["description"] as String,
        score = json["score"] as int,
        isRare = json["isRare"] as bool,
        backgroundPicture =
            base64.decode(json["backgroundPictureBase64"] as String);
}
